openapi: 3.0.0
servers:
  - url: https://api.oceandrivers.com/
info:
  x-ballerina-display:
    label: ODWeather
    iconPath: "icon.png"
  contact:
    email: matiasbonet@oceandrivers.com
  description: |
    This is a generated connector for [ODWeather API v1.0](https://api.oceandrivers.com/) OpenAPI specification.
    The ODWeather API provides the capability to access the real time and forecast ocean information.
  x-ballerina-init-description: |
    The connector initialization does not require setting the API credentials. 
  title: ODWeather
  version: "1.0"
  x-apisguru-categories:
    - open_data
  x-origin:
    - converter:
        url: https://github.com/lucybot/api-spec-converter
        version: 2.7.31
      format: swagger
      url: http://api.oceandrivers.com/static/resources.json
      version: "1.2"
  x-providerName: oceandrivers.com
tags:
  - description: ODWeather API service
    name: ODWeather
paths:
  "/v1.0/compareStation/{stationName}/":
    get:
      description: Get forecast and realtime information for known points
      operationId: compareStation
      parameters:
        - description: "Weather station to compare, values: cnareanl|rcnp | cmsap|boyaenderrocat|areopuertopalma | EWXXX"
          in: path
          name: stationName
          required: true
          schema:
            default: cnarenal
            type: string
      responses:
        "200":
          description: No response was specified
      tags:
        - ODWeather
  "/v1.0/getAemetStation/{stationName}/{period}/":
    get:
      description: Get data from the aemet stations
      operationId: getAemetStation
      parameters:
        - description: "station name currently: aeropuertopalma | caboblanco "
          in: path
          name: stationName
          required: true
          schema:
            default: aeropuertopalma
            type: string
        - description: "Period of time to get the data. Options: lastdata lastday"
          in: path
          name: period
          required: true
          schema:
            default: lastdata
            type: string
      responses:
        "200":
          description: No response was specified
      tags:
        - ODWeather
  "/v1.0/getEasyWind/{easywindId}/":
    get:
      description: Get data from the easywind weather stations
      operationId: getEasywind
      parameters:
        - description: "currently: 'EW013'|'EW008'"
          in: path
          name: easywindId
          required: true
          schema:
            default: EW013
            type: string
        - description: Period of time to get the data latestdata|latesthour|latestday
          in: query
          name: period
          required: true
          schema:
            default: latestdata
            type: string
      responses:
        "200":
          description: No response was specified
      tags:
        - ODWeather
  "/v1.0/getEventStations/{eventId}/":
    get:
      description: Get stations in an event
      operationId: getEventStations
      parameters:
        - description: "currently: 'trofeoprincesasofia|palmavela'"
          in: path
          name: eventId
          required: true
          schema:
            default: trofeoprincesasofia
            type: string
      responses:
        "200":
          description: No response was specified
      tags:
        - ODWeather
  "/v1.0/getForecastPoints/{yatchclubid}/language/{language}":
    get:
      description: Get forecast points of a yatchclub
      operationId: getForecastPoints
      parameters:
        - description: base URL for the the
          in: path
          name: yatchclubid
          required: true
          schema:
            default: cnarenal
            type: string
        - description: Language
          in: path
          name: language
          required: true
          schema:
            type: string
      responses:
        "200":
          description: No response was specified
      tags:
        - ODWeather
  "/v1.0/getForecastTimeSeries/{latitude}/{longitude}/":
    get:
      description: Get timeseries forecast information
      operationId: getForecastTimeSeries
      parameters:
        - description: latitude for the forecast
          in: path
          name: latitude
          required: true
          schema:
            default: 39.49
            format: float
            type: number
        - description: longitude for the forecast
          in: path
          name: longitude
          required: true
          schema:
            default: 2.74
            format: float
            type: number
        - description: initial date for the forecast ISO string YYYY-MM-DDTHH:mm:SS.SZ
          in: query
          name: inittime
          required: false
          schema:
            type: string
        - description: end date for the forecast ISO string YYYY-MM-DDTHH:mm:SS.SZ
          in: query
          name: endtime
          required: false
          schema:
            type: string
        - description: optional number of days in string. Will be added to init forecast date
          in: query
          name: days
          required: false
          schema:
            format: int32
            type: integer
        - description: optional number of hours in string. Will be added to init forecast date
          in: query
          name: hours
          required: false
          schema:
            format: int32
            type: integer
        - description: " Comma separated values for the weather parameteres temperature,rain,wind_u,wind_v,gust,pressure,cloud,humidity&wave=height,direction,period"
          in: query
          name: weather
          required: true
          schema:
            type: string
        - description: " Comma separated values for the wave parameteres height,direction,period"
          in: query
          name: wave
          required: false
          schema:
            type: string
        - description: Direct file I want to extract
          in: query
          name: entryid
          required: false
          schema:
            type: string
      responses:
        "200":
          description: No response was specified
      tags:
        - ODWeather
  "/v1.0/getForecastTimeSeriesWrf/{latitude}/{longitude}/":
    get:
      description: Get timeseries forecast information
      operationId: getForecastTimeSeriesWrf
      parameters:
        - description: latitude for the forecast
          in: path
          name: latitude
          required: true
          schema:
            default: 39.49
            format: float
            type: number
        - description: longitude for the forecast
          in: path
          name: longitude
          required: true
          schema:
            default: 2.74
            format: float
            type: number
        - description: initial date for the forecast ISO string YYYY-MM-DDTHH:mm:SS.SZ
          in: query
          name: inittime
          required: false
          schema:
            type: string
        - description: end date for the forecast ISO string YYYY-MM-DDTHH:mm:SS.SZ
          in: query
          name: endtime
          required: false
          schema:
            type: string
        - description: optional number of days in string. Will be added to init forecast date
          in: query
          name: days
          required: false
          schema:
            format: int32
            type: integer
        - description: optional number of hours in string. Will be added to init forecast date
          in: query
          name: hours
          required: false
          schema:
            format: int32
            type: integer
        - description: " Comma separated values for the weather parameteres temperature,rain,wind_u,wind_v,gust,pressure,cloud,humidity&wave=height,direction,period"
          in: query
          name: weather
          required: true
          schema:
            type: string
        - description: " Comma separated values for the wave parameteres height,direction,period"
          in: query
          name: wave
          required: false
          schema:
            type: string
        - description: Direct file I want to extract
          in: query
          name: entryid
          required: false
          schema:
            type: string
      responses:
        "200":
          description: No response was specified
      tags:
        - ODWeather
  "/v1.0/getSocibWeatherStation/{stationName}/{period}/":
    get:
      description: Get data from the socib bahia de palma buoy
      operationId: getSocibWeatherStation
      parameters:
        - description: "station name currently: boyaenderrocat | playadepalma"
          in: path
          name: stationName
          required: true
          schema:
            default: boyaenderrocat
            type: string
        - description: "Period of time to get the data. Options: lastdata lasthour lastday"
          in: path
          name: period
          required: true
          schema:
            default: lastdata
            type: string
      responses:
        "200":
          description: No response was specified
      tags:
        - ODWeather
  "/v1.0/getWeatherDisplay/{stationName}/":
    get:
      description: Get data from the weather display software
      operationId: getWeatherDisplay
      parameters:
        - description: "currently: 'cnarenal'|'campastilla' | 'cncg'"
          in: path
          name: stationName
          required: true
          schema:
            default: cnarenal
            type: string
        - description: Period of time to get the data latestdata|latesthour|latestday|dailylog
          in: query
          name: period
          required: true
          schema:
            default: latestdata
            type: string
      responses:
        "200":
          description: No response was specified
      tags:
        - ODWeather
  /v1.0/getWebCams/:
    get:
      description: Get forecast and realtime information for known points
      operationId: getWebCams
      responses:
        "200":
          description: No response was specified
      tags:
        - ODWeather
